Bug 180904 - New port: security/pecl-scrypt PHP wrapper to Colin Percival's scrypt implementation
Summary: New port: security/pecl-scrypt PHP wrapper to Colin Percival's scrypt impleme...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-28 10:40 UTC by Horia Racoviceanu
Modified: 2013-11-04 20:20 UTC (History)
0 users

See Also:


Attachments
file.shar (1.75 KB, text/plain)
2013-07-28 10:40 UTC, Horia Racoviceanu
no flags Details
pecl-scrypt.shar.txt (1.77 KB, text/plain; charset=US-ASCII)
2013-10-03 19:35 UTC, Horia Racoviceanu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Horia Racoviceanu 2013-07-28 10:40:00 UTC
This is a PHP library providing a wrapper to Colin Percival's scrypt
implementation. Scrypt is a key derivation function designed to be far more
secure against hardware brute-force attacks than alternative functions such as
PBKDF2 or bcrypt.

WWW: http://pecl.php.net/package/scrypt

Fix: Patch attached with submission follows:
How-To-Repeat: https://redports.org/buildarchive/20130728091100-20978/
Comment 1 Edwin Groothuis freebsd_committer 2013-07-28 10:40:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:10:37 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 Horia Racoviceanu 2013-10-03 19:35:28 UTC
Use NO_STAGE=yes until lang/php5 updates to stage
Comment 4 Antoine Brodin freebsd_committer 2013-10-30 19:53:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->antoine

Take
Comment 5 dfilter service freebsd_committer 2013-11-04 20:12:12 UTC
Author: antoine
Date: Mon Nov  4 20:12:04 2013
New Revision: 332772
URL: http://svnweb.freebsd.org/changeset/ports/332772

Log:
  New port: security/pecl-scrypt
  This is a PHP library providing a wrapper to Colin Percival's scrypt
  implementation. Scrypt is a key derivation function designed to be far more
  secure against hardware brute-force attacks than alternative functions such as
  PBKDF2 or bcrypt.
  
  WWW: http://pecl.php.net/package/scrypt
  
  PR:		ports/180904
  Submitted by:	Horia Racoviceanu

Added:
  head/security/pecl-scrypt/
  head/security/pecl-scrypt/Makefile   (contents, props changed)
  head/security/pecl-scrypt/distinfo   (contents, props changed)
  head/security/pecl-scrypt/pkg-descr   (contents, props changed)
Modified:
  head/security/Makefile

Modified: head/security/Makefile
==============================================================================
--- head/security/Makefile	Mon Nov  4 20:11:01 2013	(r332771)
+++ head/security/Makefile	Mon Nov  4 20:12:04 2013	(r332772)
@@ -669,6 +669,7 @@
     SUBDIR += pecl-crack
     SUBDIR += pecl-gnupg
     SUBDIR += pecl-pam
+    SUBDIR += pecl-scrypt
     SUBDIR += pecl-ssh2
     SUBDIR += pecl-taint
     SUBDIR += pecl-tcpwrap

Added: head/security/pecl-scrypt/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/pecl-scrypt/Makefile	Mon Nov  4 20:12:04 2013	(r332772)
@@ -0,0 +1,27 @@
+# Created by: Horia Racoviceanu <horia@racoviceanu.com>
+# $FreeBSD$
+
+PORTNAME=	scrypt
+PORTVERSION=	1.2
+CATEGORIES=	security pear
+MASTER_SITES=	http://pecl.php.net/get/
+PKGNAMEPREFIX=	pecl-
+EXTRACT_SUFX=	.tgz
+
+MAINTAINER=	horia@racoviceanu.com
+COMMENT=	PHP wrapper to Colin Percival's scrypt implementation
+
+LICENSE=	BSD
+
+USE_PHP=	hash
+USE_PHPEXT=	yes
+USE_PHP_BUILD=	yes
+
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} != amd64
+post-patch:
+	${REINPLACE_CMD} '/emmintrin.h/d' ${WRKSRC}/config.m4
+.endif
+
+.include <bsd.port.post.mk>

Added: head/security/pecl-scrypt/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/pecl-scrypt/distinfo	Mon Nov  4 20:12:04 2013	(r332772)
@@ -0,0 +1,2 @@
+SHA256 (scrypt-1.2.tgz) = b5089b32bdf5d4e1406081c29a7f72447ec801ef863cb7aefed22e82941f56f9
+SIZE (scrypt-1.2.tgz) = 20361

Added: head/security/pecl-scrypt/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/pecl-scrypt/pkg-descr	Mon Nov  4 20:12:04 2013	(r332772)
@@ -0,0 +1,6 @@
+This is a PHP library providing a wrapper to Colin Percival's scrypt
+implementation. Scrypt is a key derivation function designed to be
+far more secure against hardware brute-force attacks than alternative
+functions such as PBKDF2 or bcrypt.
+
+WWW: http://pecl.php.net/package/scrypt
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Antoine Brodin freebsd_committer 2013-11-04 20:13:19 UTC
State Changed
From-To: open->closed

New port added, thanks for submission!